/*
** Module   : DropDownImpl.java
** Abstract : Drop down box for combo-box ChUI implementation specific.
**
** Copyright (c) 2015, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 EVL 20150514 Initial verson.
*/

package com.goldencode.p2j.ui.chui;

import com.goldencode.p2j.ui.client.*;
import com.goldencode.p2j.ui.client.chui.driver.*;

/**
 * Implements the drop-down window for a combo-box. ChUI specific calls.
 */
public class DropDownImpl
extends DropDown<ChuiOutputManager>
{
   /**
    * Create a drop-down container based on the parent combo-box and it's associated data model.
    * 
    * @param    parent
    *           The combo-box object which calls this drop-down.
    */
   @SuppressWarnings("unchecked")
   public DropDownImpl(ComboBox<ChuiOutputManager> parent)
   {
      // ChUI version just uses common code
      super(parent);
   }

   /**
    * Get the combo-box ChUI specific visible row adjust.
    * 
    * @param    visibleRows
    *           The visible rows value to check and modify.
    * @param    listSize
    *           The total size of the items in the list to handle.
    * 
    * @return  the new visible rows value.
    */
   @Override
   protected int fixVisibleRows(int visibleRows, int listSize)
   {
      int rowsToReturn = visibleRows;
     
      // at this time in ChUI we do nothing
      return rowsToReturn;
   }
}
